<?php header("Content-type: text/html; charset=utf8"); ?>
<?php require_once('../Connections/EVENTS.php'); ?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}

if ((isset($_POST["MM_insert"])) && ($_POST["MM_insert"] == "form2")) {
  $insertSQL = sprintf("INSERT INTO montajes (id_montaje, datepicker, hora, equipo, num_expediente, nom_cliente, direccion, poblacion, tlf, movil, importe_servicio, observa) VALUES (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s)",
                       GetSQLValueString($_POST['id_montaje'], "int"),
                       GetSQLValueString($_POST['datepicker'], "text"),
                       GetSQLValueString($_POST['hora'], "text"),
                       GetSQLValueString($_POST['equipo'], "text"),
                       GetSQLValueString($_POST['num_expediente'], "text"),
                       GetSQLValueString($_POST['nom_cliente'], "text"),
                       GetSQLValueString($_POST['direccion'], "text"),
                       GetSQLValueString($_POST['poblacion'], "text"),
                       GetSQLValueString($_POST['tlf'], "int"),
					   GetSQLValueString($_POST['movil'], "text"),
					   GetSQLValueString($_POST['importe_servicio'], "int"),
                       GetSQLValueString($_POST['observa'], "text"));

  mysql_select_db($database_EVENTS, $EVENTS);
  $Result1 = mysql_query($insertSQL, $EVENTS) or die(mysql_error());

  $insertGoTo = "inserta_montaje_correcto.php";
  if (isset($_SERVER['QUERY_STRING'])) {
    $insertGoTo .= (strpos($insertGoTo, '?')) ? "&" : "?";
    $insertGoTo .= $_SERVER['QUERY_STRING'];
  }
  header(sprintf("Location: %s", $insertGoTo));
}

$colname_montajes = "-1";
if (isset($_GET['datepicker'])) {
  $colname_montajes = $_GET['datepicker'];
}
mysql_select_db($database_EVENTS, $EVENTS);
$query_montajes = sprintf("SELECT * FROM montajes WHERE datepicker = %s ORDER BY hora ASC", GetSQLValueString($colname_montajes, "text"));
$montajes = mysql_query($query_montajes, $EVENTS) or die(mysql_error());
$row_montajes = mysql_fetch_assoc($montajes);
$totalRows_montajes = mysql_num_rows($montajes);

mysql_select_db($database_EVENTS, $EVENTS);
$query_poblaciones = "SELECT * FROM poblaciones ORDER BY nom_poblacion ASC";
$poblaciones = mysql_query($query_poblaciones, $EVENTS) or die(mysql_error());
$row_poblaciones = mysql_fetch_assoc($poblaciones);
$totalRows_poblaciones = mysql_num_rows($poblaciones);

mysql_select_db($database_EVENTS, $EVENTS);
$query_equipo = "SELECT * FROM equipo ORDER BY equipo ASC";
$equipo = mysql_query($query_equipo, $EVENTS) or die(mysql_error());
$row_equipo = mysql_fetch_assoc($equipo);
$totalRows_equipo = mysql_num_rows($equipo);

mysql_select_db($database_EVENTS, $EVENTS);
$query_horario = "SELECT * FROM horario ORDER BY horario ASC";
$horario = mysql_query($query_horario, $EVENTS) or die(mysql_error());
$row_horario = mysql_fetch_assoc($horario);
$totalRows_horario = mysql_num_rows($horario);

mysql_select_db($database_EVENTS, $EVENTS);
$query_montajes = "SELECT * FROM montajes";
$montajes = mysql_query($query_montajes, $EVENTS) or die(mysql_error());
$row_montajes = mysql_fetch_assoc($montajes);

$colname_montajes = "-1";
if (isset($_GET['datepicker'])) {
  $colname_montajes = $_GET['datepicker'];
}
mysql_select_db($database_EVENTS, $EVENTS);
$query_montajes = sprintf("SELECT * FROM montajes WHERE datepicker = %s", GetSQLValueString($colname_montajes, "text"));
$montajes = mysql_query($query_montajes, $EVENTS) or die(mysql_error());
$row_montajes = mysql_fetch_assoc($montajes);
?>




<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Documento sin título</title>

 <link rel="stylesheet" type="text/css" href="css/default.css" />
 
	<link rel="stylesheet" type="text/css" href="css/jquery-ui-1.7.2.custom.css" />
    
     <link rel="stylesheet" type="text/css" href="css/miscss.css" />

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>

<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.7.2/jquery-ui.min.js"></script>
<script src="../SpryAssets/SpryValidationTextField.js" type="text/javascript"></script>
<script type="text/javascript">
jQuery(function($){
	$.datepicker.regional['es'] = {
		closeText: 'Cerrar',
		prevText: '&#x3c;Ant',
		nextText: 'Sig&#x3e;',
		currentText: 'Hoy',
		monthNames: ['Enero','Febrero','Marzo','Abril','Mayo','Junio',
		'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
		monthNamesShort: ['Ene','Feb','Mar','Abr','May','Jun',
		'Jul','Ago','Sep','Oct','Nov','Dic'],
		dayNames: ['Domingo','Lunes','Martes','Mi&eacute;rcoles','Jueves','Viernes','S&aacute;bado'],
		dayNamesShort: ['Dom','Lun','Mar','Mi&eacute;','Juv','Vie','S&aacute;b'],
		dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','S&aacute;'],
		weekHeader: 'Sm',
		dateFormat: 'dd/mm/yy',
		firstDay: 1,
		isRTL: false,
		showMonthAfterYear: false,
		yearSuffix: ''};
	$.datepicker.setDefaults($.datepicker.regional['es']);
});    

        $(document).ready(function() {
           $("#datepicker").datepicker();
        });
    </script>

<link href="../SpryAssets/SpryValidationTextField.css" rel="stylesheet" type="text/css" />
</head>

<body>

<div class="cuerpo_inserta">

<div class="anuncia_pagina_inserta">
  <strong> MANCOMERAL</strong>
</div>
    
<div class="anuncia_inserta">
    <form action="index.php" method="get" name="form1" target="_self" id="form1">
        <label for="datepicker">INSERTAR MONTAJE</label></form>
</div>

<div class="boton_atras">
   <input name="button" type="button" class="mkbutton" id="button" onclick="window.location.href = 'index.php';" value="VOLVER AL INICIO" />
</div>


<div class="form_inserta_montaje">
  <form action="<?php echo $editFormAction; ?>" method="post" name="form2" id="form2">
    <table width="632" height="404" align="center">
      <tr valign="baseline">
        <td width="193" height="31" align="center" valign="middle" nowrap="nowrap">FECHA</td>
        <td width="427" align="left" valign="middle"><input type="text" name="datepicker" id="datepicker" readonly="readonly" size="12" /></td>
      </tr>
      <tr valign="baseline">
        <td height="29" align="center" valign="middle" nowrap="nowrap">HORA</td>
        <td align="left" valign="middle"><select name="hora">
          <?php
do {  
?>
          <option value="<?php echo $row_horario['horario']?>"><?php echo $row_horario['horario']?></option>
          <?php
} while ($row_horario = mysql_fetch_assoc($horario));
  $rows = mysql_num_rows($horario);
  if($rows > 0) {
      mysql_data_seek($horario, 0);
	  $row_horario = mysql_fetch_assoc($horario);
  }
?>
        </select></td>
      </tr>
      <tr> </tr>
      <tr valign="baseline">
        <td height="31" align="center" valign="middle" nowrap="nowrap">EQUIPO:</td>
        <td align="left" valign="middle"><select name="equipo">
          <?php
do {  
?>
          <option value="<?php echo $row_equipo['equipo']?>"><?php echo $row_equipo['equipo']?></option>
          <?php
} while ($row_equipo = mysql_fetch_assoc($equipo));
  $rows = mysql_num_rows($equipo);
  if($rows > 0) {
      mysql_data_seek($equipo, 0);
	  $row_equipo = mysql_fetch_assoc($equipo);
  }
?>
        </select></td>
      </tr>
      <tr> </tr>
      <tr valign="baseline">
        <td height="31" align="center" valign="middle" nowrap="nowrap">EXPEDIENTE:</td>
        <td align="left" valign="middle"><span id="sprytextfield1">
          <label for="num_expediente"></label>
          <input type="text" name="num_expediente" id="num_expediente" />
          <span class="textfieldRequiredMsg">Se necesita un NÚMERO DE EXPEDIENTE.</span></span></td>
      </tr>
	   <tr valign="baseline">
        <td height="31" align="center" valign="middle" nowrap="nowrap">IMPORTE DEL SERVICIO:</td>
        <td align="left" valign="middle"><span id="sprytextfield2">
          <label for="importe_servicio"></label>
          <input type="text" name="importe_servicio" id="importe_servicio" />
          <span class="textfieldRequiredMsg">Se necesita el importe del servicio.</span></span></td>
      </tr>
      <tr valign="baseline">
        <td height="33" align="center" valign="middle" nowrap="nowrap">NOMBRE DEL CLIENTE</td>
        <td align="left" valign="middle"><span id="sprytextfield3">
          <label for="nom_cliente"></label>
          <input name="nom_cliente" type="text" id="nom_cliente" size="35" />
          <span class="textfieldRequiredMsg">Se necesita un NOMBRE DE CLIENTE.</span></span></td>
      </tr>
      <tr valign="baseline">
        <td height="33" align="center" valign="middle" nowrap="nowrap">DIRECCIÓN</td>
        <td align="left" valign="middle"><span id="sprytextfield4">
          <label for="direccion"></label>
          <input name="direccion" type="text" id="direccion" size="70" />
          <span class="textfieldRequiredMsg">Se necesita una DIRECCIÓN.</span></span></td>
      </tr>
      <tr valign="baseline">
        <td height="33" align="center" valign="middle" nowrap="nowrap">POBLACIÓN</td>
        <td align="left" valign="middle"><select name="poblacion">
          <?php
do {  
?>
          <option value="<?php echo $row_poblaciones['nom_poblacion']?>"><?php echo $row_poblaciones['nom_poblacion']?></option>
          <?php
} while ($row_poblaciones = mysql_fetch_assoc($poblaciones));
  $rows = mysql_num_rows($poblaciones);
  if($rows > 0) {
      mysql_data_seek($poblaciones, 0);
	  $row_poblaciones = mysql_fetch_assoc($poblaciones);
  }
?>
        </select></td>
      </tr>
      <tr> </tr>
      <tr valign="baseline">
        <td height="33" align="center" valign="middle" nowrap="nowrap">TELÉFONO</td>
        <td align="left" valign="middle"><span id="sprytextfield5">
        <label for="tlf"></label>
        <input name="tlf" type="text" id="tlf" size="9" />
        <span class="textfieldRequiredMsg">Se necesita un NÚMERO DE TELÉFONO.</span><span class="textfieldInvalidFormatMsg">Formato no válido sólo 9 números sin signos ni espacios.</span></span></td>
      </tr>
	   <tr valign="baseline">
        <td height="33" align="center" valign="middle" nowrap="nowrap">MOVIL</td>
        <td align="left" valign="middle"><span id="sprytextfield6">
        <label for="movil"></label>
        <input name="movil" type="text" id="movil" size="9" />
        <span class="textfieldRequiredMsg">Sino tienes telefono movil, deje un espacio</span><span class="textfieldInvalidFormatMsg">Formato no válido sólo 9 números sin signos ni espacios.</span></span></td>
      </tr>
      <tr valign="baseline">
        <td height="89" align="center" valign="middle" nowrap="nowrap">OBSERVACIONES</td>
        <td align="left" valign="middle"><label for="observa"></label>
          <textarea name="observa" id="observa" cols="50" rows="5"></textarea></td>
      </tr>
      <tr valign="baseline">
        <td height="33" align="center" valign="middle" nowrap="nowrap">&nbsp;</td>
        <td align="left" valign="middle"><input type="submit" value="Insertar registro" /></td>
      </tr>
    </table>
    <input type="hidden" name="id_montaje" value="" />
    <input type="hidden" name="MM_insert" value="form2" />
  </form>
  <p>&nbsp;</p>
</div>


  





</div> <!--FIN DE DIV CUERPO---> 
<script type="text/javascript">
var sprytextfield1 = new Spry.Widget.ValidationTextField("sprytextfield1");
var sprytextfield2 = new Spry.Widget.ValidationTextField("sprytextfield2");
var sprytextfield3 = new Spry.Widget.ValidationTextField("sprytextfield3");
var sprytextfield4 = new Spry.Widget.ValidationTextField("sprytextfield4");
var sprytextfield5 = new Spry.Widget.ValidationTextField("sprytextfield5", "custom", {pattern:"000000000"});
var sprytextfield6 = new Spry.Widget.ValidationTextField("sprytextfield6");
</script>
</body>
</html>
<?php
mysql_free_result($montajes);

mysql_free_result($poblaciones);

mysql_free_result($equipo);

mysql_free_result($horario);
?>
